Name: pmake
Version: 1.45
Release: alt2

Serial: 1

Source0: http://ftp.debian.org/debian/pool/main/p/pmake/%{name}_%version-11.tar.bz2
Patch0: pmake-1.45-mktemp.patch
Patch1: pmake-1.45-groffpath.patch

Summary: The BSD 4.4 version of make
License: BSD
Group: Development/Other
Obsoletes: %name-customs

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process. Details about
how the program should be built are included in the program's
Makefile. Pmake is a particular version (BSD 4.4) of make. Pmake
supports some additional syntax which is not in the standard make
program. Some Berkeley programs have Makefiles written for pmake.

%prep
%setup -q
%patch0 -p1 -b .mktemp
#%patch1 -p1

find . -type f|
    xargs fgrep -l /usr/share/mk |
	xargs perl -pi -e 's@/usr/share/mk@/usr/share/pmake/mk@'

%build
make -f Makefile.boot CFLAGS="${RPM_OPT_FLAGS} -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
    -I. -DMACHINE=\\\"alt\\\" -DMACHINE_ARCH=\\\"`arch`\\\"" CC=gcc
touch build

%install
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_mandir/man1}
install bmake $RPM_BUILD_ROOT/%_bindir/pmake
install -m 755 mkdep $RPM_BUILD_ROOT/%_bindir
install make.1 $RPM_BUILD_ROOT/%_mandir/man1/pmake.1
install mkdep.1 $RPM_BUILD_ROOT/%_mandir/man1

mkdir -p $RPM_BUILD_ROOT/%_datadir/pmake/mk

for file in mk/*; do
    install -m 644 $file $RPM_BUILD_ROOT/%_datadir/pmake/mk
done

%files
%doc PSD.doc/tutorial.ms
%_bindir/*
%_datadir/pmake/mk/*.mk
%_mandir/man?/*

%changelog
* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1:1.45-alt2
- update to release 11

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 1.45-alt1
- 1.45
- Move to Debian pmake

* Thu Sep 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.34-ipl4mdk
- Patched to build with glibc-2.2.
- Automatically added BuildRequires.

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1.34-4mdk
- FHS compliance
- More macros

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 2.1.34-3mdk
- rebuild with _mandir macro

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2.1.34-2mdk
- Added ppc support

* Mon Oct 25 1999 Jeff Garzik  <jgarzik@pobox.com>
- Import RedHat 6.1 spec and patches
- Update to pmake 2.1.34
- Update RH compat patch
- bzip2 compression for man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setuid root "just in case". See etc/SECURITY in /usr/doc.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 16 1997 Otto Hammersmith <otto@redhat.com>
- fixed bug related to rules to build .a files.

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- updated spec file

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
